<template>
  <div id="poll">
    <h2 class="text-center mb-4">Tell us about yourself</h2>
    <poll-question
      style="margin-top: 30px;"
      question="How punctual are you?"
      left-label="Often late"
      right-label="Very punctual"
      name="punctual"
      @onSelect="onSelect"
    ></poll-question>

    <poll-question
      style="margin-top: 30px;"
      question="How easy to make you angry in a conflict (stress) situation?"
      left-label="Very hard"
      right-label="Very easy"
      name="angry"
      @onSelect="onSelect"
    ></poll-question>

    <poll-question
      style="margin-top: 30px;"
      question="How responsible you are?"
      name="responsible"
      @onSelect="onSelect"
    ></poll-question>

    <br />
    <div class="mt-5 mb-4 w-full flex justify-center">
      <vs-button
        type="filled"
        style="min-width: 150px;"
        class="action-btn"
        :disabled="!allAnswered"
        :color="allAnswered
              ? 'primary'
              : '#bbbbbb'"
        @click="$emit('nextStep', pollForm)"
      >{{ $t('public.welcomePilot.answer') }}</vs-button>
    </div>
  </div>
</template>

<script lang="ts">
import PollQuestion from "@/components/pages/welcome-pilot/poll-question.vue";
import Vue from "vue";
export default Vue.extend({
  components: {
    PollQuestion
  },
  data() {
    return {
      pollForm: {
        punctual: null,
        angry: null,
        responsible: null
      },
      allAnswered: false
    };
  },
  methods: {
    onSelect(input) {
      this.pollForm[input.name] = input.value;

      this.allAnswered =
        this.pollForm.punctual &&
        this.pollForm.angry &&
        this.pollForm.responsible;
    }
  }
});
</script>

<style lang="scss">
#poll {
}
</style>